grk::MinHeapLocker Class Reference

`#include <MinHeap.h>`

## Public Member Functions

| MinHeapLocker (std::mutex &mut)

## Private Attributes

std::lock_guard< std::mutex > | lock

## Constructor & Destructor Documentation

## MinHeapLocker()

grk::MinHeapLocker::MinHeapLocker | ( | std::mutex & | mut | ) |

inline

## Member Data Documentation

## lock

std::lock_guard<std::mutex> grk::MinHeapLocker::lock

private

The documentation for this class was generated from the following file:

- MinHeap.h